UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
112 Views
Registered: ‎10-31-2018

problem with Video On‐Screen Display v6.0 Bit Accurate C Model

Hello,

We installed OSD bit accurate C model for 64-bit Linux platform and we are getting following Error

libIp_v_osd_v6_0_bitacc_cmodel.so: file not recognized: File format not recognized

 

 

Thanks in advance

0 Kudos
3 Replies
Scholar watari
Scholar
75 Views
Registered: ‎06-16-2013

Re: problem with Video On‐Screen Display v6.0 Bit Accurate C Model

Hi shantaramjagtap1994@ 

 

Would you make sure file format by using following command on Linux ?

 

$ file libIp_v_osd_v6_0_bitacc_cmodel.so

 

I guess it seems platform issue.

 

Best regards,

 

44 Views
Registered: ‎10-31-2018

Re: problem with Video On‐Screen Display v6.0 Bit Accurate C Model

Hi,

Thanks for reply,

I found C model in below hierarchy

.......\project_1.srcs\sources_1\ip\v_osd_0\cmodel\v_osd_v6_0_bitacc_cmodel_lin64.zip

According to PG010_v_osd_0.pdf  On‐Screen Display v6.0 Bit Accurate C Model for  32-bit Linux and 64-bit Linux platforms but it generates v_osd_v6_0_bitacc_cmodel_lin64.zip Where I can find for lin32.

0 Kudos
Moderator
Moderator
31 Views
Registered: ‎11-09-2015

Re: problem with Video On‐Screen Display v6.0 Bit Accurate C Model

Hi shantaramjagtap1994@ ,

Note that the OSD IP is a discuntinued IP. Xilinx will not provide any support on this. The recommendation is to use the Video Mixer IP as a replacement.

However, we will not prevent you of using this. I would recommend you that you followed the installation steps:

For Linux, make sure the following files are in a directory in the $LD_LIBRARY_PATH
environment variable:
• libIp_v_osd_v6_0_bitacc_cmodel.so

And you are using the gcc versions mentioned in the documentation.

Regards,


Florent
Product Application Engineer - Xilinx Technical Support EMEA
**~ Don't forget to reply, give kudos, and accept as solution.~**
0 Kudos